Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 596694 - PMQoS dbus (/proc) communication problem
Summary: PMQoS dbus (/proc) communication problem
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Red Hat Kernel Manager
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On: 519967
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-27 10:24 UTC by Jan Ščotka
Modified: 2010-08-05 05:35 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-05 05:35:13 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jan Ščotka 2010-05-27 10:24:22 UTC
There was a problem with kernel interface for PMQoS some times ago.
How is state now? It is okay now.
There should be communication over Dbus between
power management - dbus - kernel - proc dirs

Comment 2 Richard Hughes 2010-06-01 12:37:11 UTC
The /dev/cpu_dma_latency and /dev/network_latency device files are missing in el6 and fedora kernels for some reason.

The supported devices are the e1000e, ipw2100, and igbvf. I have the former installed, so I should be getting the pmqos interface files. I'm doing some more debugging now, and am waiting for test kernels to compile.

Comment 3 Andy Gospodarek 2010-06-04 15:28:57 UTC
Seems to be working for me:

$ uname -a 
Linux eeepc 2.6.32.9-70.fc12.i686 #1 SMP Wed Mar 3 05:14:32 UTC 2010 i686 i686 i386 GNU/Linux
$ ls /dev | grep latency
cpu_dma_latency
network_latency

Comment 4 Richard Hughes 2010-06-21 13:46:03 UTC
I'm half way through a test document. I should be finished in the next few days.

Comment 6 RHEL Product and Program Management 2010-07-28 16:37:43 UTC
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **


Note You need to log in before you can comment on or make changes to this bug.